Subject: Re: [CCAMP] How to differentiate between DWDM encoded labels of RFC6205 and LSC labels of 3471/73

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 27 Jul 2011 21:00:57 +0100

Hi,
 
I understand why Dan is confused by the question. I think you are trying to
answer a more complicated question than Zafar is asking.
 
I think he is asking...
 
Suppose a Label object is received containing a 32 bit label. How does the
receiver know whether this is a 3471/3473 lambda label or a 6205 WDM label?
 
If that is the question, the answer is "it just knows."
 
How?
 
Well, as 3471 says...
 
   Label: 32 bits
 
      Indicates port/fiber or lambda to be used, from the perspective of
      the sender of the object/TLV.  Values used in this field only have
      significance between two neighbors, and the receiver may need to
      convert the received value into a value that has local
      significance.  Values may be configured or dynamically determined
      using a protocol such as [LMP].
      Label: Variable Length
 
I suspect the underlying question was: "why didn't you allocate a new label type
(i.e. a new object class)?"
 
The answer is as above and is further clarified in 3471
 
   A Generalized Label does not identify the "class" to which the label
   belongs.  This is implicit in the multiplexing capabilities of the
   link on which the label is used.
 
All this seems to be as stated in 6205
 
I don't believe we would ever have general (numbered) and 6205 labels in the
same direction on the same link.
 
A
 
From: Huawei danli [mailto:[email-masked]] 
Sent: 27 July 2011 19:31
To: Zafar Ali (zali); [email-masked]; [email-masked]
Cc: [email-masked]; Lou Berger; Mike Taillon (mtaillon)
Subject: 答复: How to differentiate between DWDM encocded labels of RFC6205 and
LSC labels of 3471/73
 
Hi Zafar, 
 
I am not quite sure if I understand your question correctly. 
 
For non-DWDM encoded LSC, do you mean CWDM? If yes, then the label defined in
6205 covers this case.
 
>From 3471 section 3.1.1, if the encoding type is lambda, then you can use the
label format defined in 6205.
 
Thanks,
 
Dan
 
  _____  

发件人: Zafar Ali (zali) [[email-masked]]
发送时间: 2011年7月28日 2:10
到: [email-masked]; Huawei danli; [email-masked]
Cc: [email-masked]; Lou Berger; Mike Taillon (mtaillon)
主题: How to differentiate between DWDM encocded labels of RFC6205 and LSC
labels of 3471/73
Dear authors of RFC6205 and all- 
 
>From RFC 6205 and RFC 3471, 3471, it is not clear how a receiver can
differentiate between LSC labels that are encoded for DWDM (as per RFC 6205) and
non-DWDM encoded LSC labels from RFC 3471/73 (similar what is expected of the
sender of such labels). 
 
Please note that:
 
・        Both labels are 32 bit long LSC labels. 
・        There is no label type in any signaling message. 
・        None of these RFCs specify what label encoding type should be carried
to indicate which LSP encoding type should be carried to indicate how the
signaling label is encoded. Can we/ should we use encoding type to inferred the
label type. If yes, this is not a 1:1 relationship and is not documented.  
 
Your follow-ups on this will be much appreciated. 
 
Thanks
 
Regards ... Zafar